#
# spec file for package audio-entropyd
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           audio-entropyd
Version:        2.0.1
Release:        5.1
#
License:        GPL
Group:          Productivity/Security
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ncurses-devel alsa-devel
#
Url:            http://www.vanheusden.com/aed/
Source:         http://www.vanheusden.com/aed/audio-entropyd-%{version}.tgz
Source1:        audio-entropyd.init
#
Summary:        Audio entropy daemon

%description
Audio-entropyd generates entropy-data for the /dev/random device
using recording sources on sound cards.




Authors:
--------
    Folkert van Heusden <folkert@vanheusden.com>

%prep
%setup -q

%build
%{__make} OPT_FLAGS="%{optflags}"

%install
%__install -D -m 0755 audio-entropyd %{buildroot}%{_sbindir}/audio-entropyd
%__install -D -m 0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/%{name}"
%__install -d "%{buildroot}%{_sbindir}"
%__ln_s "../../etc/init.d/%{name}" "%{buildroot}%{_sbindir}/rc%{name}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* TODO COPYING
%{_sbindir}/audio-entropyd
/etc/init.d/%{name}
%{_sbindir}/rc%{name}

%changelog
* Sat Oct 24 2009 pascal.bleser@opensuse.org
- update to 2.0.1 (alsa support)
- added init script
* Sun Apr  8 2007 mrueckert@suse.de
- updated to 0.0.7
- removed audio-entropyd-0.0.6_dontstrip.patch
